querySharedTemplates abstract method

Future<Map<int, List<SharedTemplate>>> querySharedTemplates(
  1. SharedTemplateQueryParameters? queryParameters
)

Queries the database for shared templates.

Returns a SharedTemplate collection that matches the SharedTemplateQueryParameters for every ArcGISFeatureTable.serviceLayerId.

Query parameters are optional. When no query parameters are provided and SharedTemplateQuerySourceType.database is supported, all visible SharedTemplate for each table in the database are returned. Otherwise, a collection of SharedTemplate with FeatureTemplateDefinition based on the FeatureTemplate is returned.

Parameters:

  • queryParameters — The parameters used to query.

Return Value: A Map where the keys are ArcGISFeatureTable.serviceLayerId and the values consist of a collection of SharedTemplate objects.